package com.lz.modules.app.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 部门表
 *
 * @author fumeiai
 * @email fumeiai@linzikg.com
 * @date 2020-04-30 16:59:50
 */
@Data
@TableName("lz_departments")
public class DepartmentsEntity implements Serializable {
	private static final long serialVersionUID = 1L;
	//自增主键
	@TableId(value = "id", type = IdType.AUTO)
	private Long id;
	//是否删除状态，1：删除，0：有效
	private Integer isDelete;
	//创建时间
	private Date createTime;
	//更新时间
	private Date updateTime;
	//飞书部门id
	private String departmentId;
	//飞书上级部门id
	private String departmentParentId;
	//飞书显示部门人数
	private Integer memberCount;
	//组织架构名称/部门名称
	private String departmentName;
	//飞书部门群id
	private String chatId;
	//飞书部门leader_id
	private String leaderEmployeeId;
	//飞书部门leader的open_id
	private String leaderOpenId;
	//部门状态【0 无效，1 有效】
	private Integer status;
	//第几级部门
	private Integer level;


	/**
	 * 自增主键
	 * @return
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 自增主键
	 * @param id
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * 是否删除状态，1：删除，0：有效
	 * @return
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 是否删除状态，1：删除，0：有效
	 * @param isDelete
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}

	/**
	 * 创建时间
	 * @return
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	/**
	 * 更新时间
	 * @return
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 更新时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 飞书部门id
	 * @return
	 */
	public String getDepartmentId() {
		return departmentId;
	}
	/**
	 * 飞书部门id
	 * @param departmentId
	 */
	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}

	/**
	 * 飞书上级部门id
	 * @return
	 */
	public String getDepartmentParentId() {
		return departmentParentId;
	}
	/**
	 * 飞书上级部门id
	 * @param departmentParentId
	 */
	public void setDepartmentParentId(String departmentParentId) {
		this.departmentParentId = departmentParentId;
	}

	/**
	 * 飞书显示部门人数
	 * @return
	 */
	public Integer getMemberCount() {
		return memberCount;
	}
	/**
	 * 飞书显示部门人数
	 * @param memberCount
	 */
	public void setMemberCount(Integer memberCount) {
		this.memberCount = memberCount;
	}

	/**
	 * 组织架构名称/部门名称
	 * @return
	 */
	public String getDepartmentName() {
		return departmentName;
	}
	/**
	 * 组织架构名称/部门名称
	 * @param departmentName
	 */
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	/**
	 * 飞书部门群id
	 * @return
	 */
	public String getChatId() {
		return chatId;
	}
	/**
	 * 飞书部门群id
	 * @param chatId
	 */
	public void setChatId(String chatId) {
		this.chatId = chatId;
	}

	/**
	 * 飞书部门leader_id
	 * @return
	 */
	public String getLeaderEmployeeId() {
		return leaderEmployeeId;
	}
	/**
	 * 飞书部门leader_id
	 * @param leaderEmployeeId
	 */
	public void setLeaderEmployeeId(String leaderEmployeeId) {
		this.leaderEmployeeId = leaderEmployeeId;
	}

	/**
	 * 飞书部门leader的open_id
	 * @return
	 */
	public String getLeaderOpenId() {
		return leaderOpenId;
	}
	/**
	 * 飞书部门leader的open_id
	 * @param leaderOpenId
	 */
	public void setLeaderOpenId(String leaderOpenId) {
		this.leaderOpenId = leaderOpenId;
	}

	/**
	 * 部门状态【0 无效，1 有效】
	 * @return
	 */
	public Integer getStatus() {
		return status;
	}
	/**
	 * 部门状态【0 无效，1 有效】
	 * @param status
	 */
	public void setStatus(Integer status) {
		this.status = status;
	}

	/**
	 * 第几级部门
	 * @return
	 */
	public Integer getLevel() {
		return level;
	}
	/**
	 * 第几级部门
	 * @param level
	 */
	public void setLevel(Integer level) {
		this.level = level;
	}

	@Override
	public String toString() {
		return "Departments{" +
				",id=" + id +
				",isDelete=" + isDelete +
				",createTime=" + createTime +
				",updateTime=" + updateTime +
				",departmentId=" + departmentId +
				",departmentParentId=" + departmentParentId +
				",memberCount=" + memberCount +
				",departmentName=" + departmentName +
				",chatId=" + chatId +
				",leaderEmployeeId=" + leaderEmployeeId +
				",leaderOpenId=" + leaderOpenId +
				",status=" + status +
				",level=" + level +
				"}";
	}

}
